Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class VideoMediaType

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.VideoMediaType

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class VideoMediaType

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Video Media Type', and utility methods for working with them. abstDomain: V14845 (C-0-D14824-V14845-cpt)

See Also:
  `CDAR2Package.getVideoMediaType()`

Field Summary
`static java.util.List` | `VALUES` A public read-only list of all the 'Video Media Type' enumerators.
`static int` | `VIDEO_MPEG` The 'Video Mpeg' literal value.
`static VideoMediaType` | `VIDEO_MPEG_LITERAL` The 'Video Mpeg' literal object.
`static int` | `VIDEO_XAVI` The 'Video XAvi' literal value.
`static VideoMediaType` | `VIDEO_XAVI_LITERAL` The 'Video XAvi' literal object.

Method Summary
`static VideoMediaType` | `get(int value)` Returns the 'Video Media Type' literal with the specified integer value.
`static VideoMediaType` | `get(java.lang.String literal)` Returns the 'Video Media Type' literal with the specified literal value.
`static VideoMediaType` | `getByName(java.lang.String name)` Returns the 'Video Media Type' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### VIDEO_MPEG

    public static final int VIDEO_MPEG

  The 'Video Mpeg' literal value.

  If the meaning of 'Video Mpeg' literal object isn't clear, there really should be more of a description here...

  See Also:
    `VIDEO_MPEG_LITERAL`, Constant Field Values

### VIDEO_XAVI

    public static final int VIDEO_XAVI

  The 'Video XAvi' literal value.

  If the meaning of 'Video XAvi' literal object isn't clear, there really should be more of a description here...

  See Also:
    `VIDEO_XAVI_LITERAL`, Constant Field Values

### VIDEO_MPEG_LITERAL

    public static final VideoMediaType VIDEO_MPEG_LITERAL

  The 'Video Mpeg' literal object.

  See Also:
    `VIDEO_MPEG`

### VIDEO_XAVI_LITERAL

    public static final VideoMediaType VIDEO_XAVI_LITERAL

  The 'Video XAvi' literal object.

  See Also:
    `VIDEO_XAVI`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Video Media Type' enumerators.

Method Detail

### get

    public static VideoMediaType get(java.lang.String literal)

  Returns the 'Video Media Type' literal with the specified literal value.

### getByName

    public static VideoMediaType getByName(java.lang.String name)

  Returns the 'Video Media Type' literal with the specified name.

### get

    public static VideoMediaType get(int value)

  Returns the 'Video Media Type' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD